Package org.apache.ignite.internal.management.kill

## Class QueryCancelOnInitiatorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<KillSqlCommandArg,​Void>
    - - org.apache.ignite.internal.management.kill.QueryCancelOnInitiatorTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<KillSqlCommandArg>,​VisorTaskResult<Void>>`

    @GridInternal
    public class QueryCancelOnInitiatorTask
    extends VisorOneNodeTask<KillSqlCommandArg,​Void>

Task to cancel queries on initiator node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`QueryCancelOnInitiatorTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.management.kill.QueryCancelOnInitiatorTask.CancelQueryOnInitiatorJob` `job​(KillSqlCommandArg arg)`
`protected @Nullable Void` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryCancelOnInitiatorTask

    public QueryCancelOnInitiatorTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.management.kill.QueryCancelOnInitiatorTask.CancelQueryOnInitiatorJob job​(KillSqlCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<KillSqlCommandArg,​Void,​Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable Void reduce0​(List<ComputeJobResult> results)
                              throws IgniteException

Actual reduce logic.

Overrides:
  `reduce0` in class `VisorOneNodeTask<KillSqlCommandArg,​Void>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.